package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusRiverSectionsStreetEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author fangjiakai
 * @Desc 河流县区段信息表(BusRiverSectionsStreet)表数据库访问层
 * @Date 2025-06-12 17:14:57
 */
@Mapper
public interface BusRiverSectionsStreetDao extends BaseMapper<BusRiverSectionsStreetEntity> {

    /**
     * 分页查询
     */
    IPage<BusRiverSectionsStreetEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);
}
